#
# Methode 1 : Création d'un fichier vide dont la taille est fixée par $size
# Credit :  Shay Levy
# https://www.powershellmagazine.com/2012/11/22/pstip-create-a-file-of-the-specified-size/
#


param(
    [parameter(Position=0,Mandatory=$false,ValueFromPipeline=$false)][int64]$Size,
    [parameter(Position=1,Mandatory=$false,ValueFromPipeline=$false)][string]$Path
    )


if (!(Test-Path (Split-Path $Path))) 
{
   write-host "[ERROR] - The specified file path is invalid." -f red
   break 
}

if (!([int64]$size)) 
{ 
   write-host "[ERROR] - Unspecified file size or invalid value." -f red
   break 
}


$file = [System.IO.File]::Create($Path)
$file.SetLength($Size)
$file.Close()


