#
# Methode 3 : Création d'un fichier avec un contenu aléatoire et dont la taille est définie par $size
# 


param(
    [parameter(Position=0,Mandatory=$false,ValueFromPipeline=$false)][int64]$Size,
    [parameter(Position=1,Mandatory=$false,ValueFromPipeline=$false)][string]$Path
    )


if (!(Test-Path (Split-Path $Path))) 
{
   write-host "[ERROR] - The specified file path is invalid." -f red
   break 
}

if (!([int64]$size)) 
{ 
   write-host "[ERROR] - Unspecified file size or invalid value." -f red
   break 
}

$buffer = new-object byte[] $size 
(new-object Random).NextBytes($buffer) 
[IO.File]::WriteAllBytes($path, $buffer) 